Subject: Re: bug#9336: 24.0.50; No way to input character #xbb4 using ta-itrans

From: Kenichi Handa <[email-masked]>
Date: Tue, 27 Sep 2011 13:50:23 +0900

In article <[email-masked]>, Jambunathan K <[email-masked]> writes:

> > With your patch, the table of the third section (Others)
> > doesn't fit in 80-column with my font setting.  So, I
> > slightly changed the :align-to property.  Please check the
> > attached version (full leim/quail/indian.el) with your
> > environment.

> Your changes look good with my setup. Feel free to close this bug once
> you commit these changes.

I think we have not yet settled this issue:
  "z" or "zh" for ழ

> > That's strange.  My Tamil Lohit font is Version 2.4.4 (older
> > than yours), and it displays the line for #0BB6 correctly.

> Do you see heart-shaped strcutures in that line much similar to what you
> see in ta-itrans-1.png that I attached earlier?

No, I attach my image file.  I think that heart-shaped glyph
is actually U+25CC (DOTTED CIRCLE) used to display an
isolated combining character.  Which version of m17n-db are
you using?

> > I don't understand why this is necessary.  Doesn't C-h C-\
> > tamil-itrans RET shows the top of *Help* buffer?

> I have this in .emacs.

> (custom-set-variables
>  '(pop-up-windows nil))

> With the above setting, cursor always ends up in the tail of the buffer.

> If I leave the above variable at it's factory value then the cursor ends
> up in the head of the buffer. 

> I consider this behaviour buggy. Should I open a separate bug for this?

Ah, I see.  It is better to open a separate bug.

---
Kenichi Handa
[email-masked]